#! /usr/bin/perl
#
# heron9.pl -- ヘロンの公式で三角形の面積を3回計算（四捨五入版）

use 5.010;
use strict;
use warnings;

my ($a, $b, $c) = (45, 45, 30);
my $space = &triSpace($a, $b, $c);
say "3辺が $a m、$b m、$c mの三角形の土地Aの面積は$space平方mです";

($a, $b, $c) = (30, 35, 55);
$space = &triSpace($a, $b, $c);
say "3辺が $a m、$b m、$c mの三角形の土地Bの面積は$space平方mです";

($a, $b, $c) = (57, 44, 33);
$space = &triSpace($a, $b, $c);
say "3辺が $a m、$b m、$c mの三角形の土地Cの面積は$space平方mです";

sub triSpace { # ヘロンの公式で三角形の面積を求める
    my ($a, $b, $c) = @_;
    my $s = 1 / 2 * ($a + $b + $c);
    my $space = sqrt($s * ($s - $a) * ($s - $b) * ($s - $c));
    return sprintf "%d", $space + 0.5;
}
