#! /usr/bin/perl
#
# sortBDay.pl -- 誕生日をソート

use 5.010;
use strict;
use warnings;

my @bday = (
    "10/17/1988:Yuuko",
    "07/15/1991:Yuki",
    "04/19/1988:Haruna",
    "03/11/1986:Mariko",
    "03/26/1994:Mayu",
);

say for sort { &dateConv($a) <=> &dateConv($b) } @bday;

sub dateConv { # 欧米流のMM/DD/YYYYをYYYYMMDDに変換
    my $westDate = shift;

#   0123456789
#   MM/DD/YYYY
    my $mm = substr $westDate, 0, 2; #引数の0バイト目から2バイトが月
    my $dd = substr $westDate, 3, 2; #引数の3バイト目から2バイトが日
    my $y4 = substr $westDate, 6, 4; #引数の6バイト目から4バイトが年

    return $y4.$mm.$dd; #年、月、日の順にくっつけた値を戻り値にする
}
