#! /usr/bin/perl
#
# black.pl -- ファイル ハンドルで遊ぼう（binmodeをファイル ハンドルに使う）
# （※UTF-8で保存し、改行コードはLFにする）

use 5.010;
use strict;
use warnings;

use utf8;

my $file_name = shift or die "specify input file\n";
$file_name =~ /\.txt$/
    or die "input file name $file_name should be *.txt\n";
open IN, "<", $file_name
    or die "cannot open $file_name because $!";

$file_name =~ s/\.txt$/_black.txt/;
open OUT, ">", $file_name
    or die "cannot open $file_name because $!";

if ($^O eq "MSWin32") {
    binmode IN, ":encoding(Shift_JIS)";
    binmode OUT, ":encoding(Shift_JIS)";
} else {
    binmode IN, ":encoding(UTF-8)";
    binmode OUT, ":encoding(UTF-8)";
}

while(<IN>) {
    chomp;
    say OUT join "■", (split //);
}

close IN;
close OUT;
