#! /usr/bin/perl
#
# black_open2.pl -- ファイル ハンドルで遊ぼう（open関数、短縮版）
# （※UTF-8で保存し、改行コードはLFにする）

use 5.010;
use strict;
use warnings;

use utf8;

my $file_name = shift or die "specify input file\n";
$file_name =~ /\.txt$/
    or die "input file name $file_name should be *.txt\n";

my $enc;
if ($^O eq "MSWin32") {
    $enc = "Shift_JIS";
} else {
    $enc = "UTF-8";
}

open IN, "<:encoding($enc)", $file_name
    or die "cannot open $file_name because $!";

$file_name =~ s/\.txt$/_black.txt/;
open OUT, ">:encoding($enc)", $file_name
    or die "cannot open $file_name because $!";

while(<IN>) {
    chomp;
    say OUT join "■", (split //);
}

close IN;
close OUT;
