#! /usr/bin/perl
#
# guestBook.cgi -- ゲストブック

use strict;
use warnings;
use CGI qw/:standard/;
use CGI::Carp qw/fatalsToBrowser warningsToBrowser/;

my ($data, @guest_words);
my $file = "guest_words.txt";

# ファイルがあったらその発言を配列に入れる
if (-f $file) {
    open IN, "<", $file
        or die "cannot open $file as IN because $!";
    @guest_words = <IN>;
    close IN;
# なかったらファイルを作り、最初の1個の発言だけを配列に入れる
} else {
    open OUT, ">", $file
        or die "cannot open $file as OUT because $!";
    @guest_words = ("今日までいただいたお言葉：\n");
    print OUT @guest_words;
    close OUT;
}

print header( -charset => "UTF-8" ),
    start_html("ようこそ！"),
    start_form(),
    "何か書いてください：",
            textfield(-name=>"data", -default=>"", -override=>1),
    hr();

# テキストフィールドに発言があったら、発言に現在時刻を追加して配列に入れる
if (param("data")) {
    my $str = localtime(time);
    push @guest_words, "【$str】".param("data")."\n";
}

# 配列の末尾に<br />タグを付加して表示
for (@guest_words) {
    print $_, br();
}

print br(),
    submit("実行"),
    endform(),
    end_html();

# ファイルを更新する
open OUT, ">", $file
    or die "cannot open $file as OUT because $!";
print OUT @guest_words;
close OUT;
